Package org.apache.avro.idl

# Class IdlParser.FixedDeclarationContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.FixedDeclarationContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.FixedDeclarationContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`org.antlr.v4.runtime.Token`
`doc`
`IdlParser.IdentifierContext`
`name`
`List<IdlParser.SchemaPropertyContext>`
`schemaProperties`
`IdlParser.SchemaPropertyContext`
`schemaProperty`
`org.antlr.v4.runtime.Token`
`size`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`FixedDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`org.antlr.v4.runtime.tree.TerminalNode`
`DocComment()`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Fixed()`
`int`
`getRuleIndex()`
`IdlParser.IdentifierContext`
`identifier()`
`org.antlr.v4.runtime.tree.TerminalNode`
`IntegerLiteral()`
`org.antlr.v4.runtime.tree.TerminalNode`
`LParen()`
`org.antlr.v4.runtime.tree.TerminalNode`
`RParen()`
`List<IdlParser.SchemaPropertyContext>`
`schemaProperty()`
`IdlParser.SchemaPropertyContext`
`schemaProperty(int i)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Semicolon()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### doc

public org.antlr.v4.runtime.Token doc

### schemaProperty

public IdlParser.SchemaPropertyContext schemaProperty

### schemaProperties

public List<IdlParser.SchemaPropertyContext> schemaProperties

### name

public IdlParser.IdentifierContext name

### size

public org.antlr.v4.runtime.Token size

## Constructor Details

### FixedDeclarationContext

public FixedDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### Fixed

public org.antlr.v4.runtime.tree.TerminalNode Fixed()

### LParen

public org.antlr.v4.runtime.tree.TerminalNode LParen()

### RParen

public org.antlr.v4.runtime.tree.TerminalNode RParen()

### Semicolon

public org.antlr.v4.runtime.tree.TerminalNode Semicolon()

### identifier

public IdlParser.IdentifierContext identifier()

### IntegerLiteral

public org.antlr.v4.runtime.tree.TerminalNode IntegerLiteral()

### DocComment

public org.antlr.v4.runtime.tree.TerminalNode DocComment()

### schemaProperty

public List<IdlParser.SchemaPropertyContext> schemaProperty()

### schemaProperty

public IdlParser.SchemaPropertyContext schemaProperty(int i)

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`